import java.util.*;

public class Subtask {
	
	Vector<BasicTask> basicTaskSequence = new Vector<BasicTask>();
	
	public Subtask(Vector<BasicTask> basicTaskSequence) {
		this.basicTaskSequence=basicTaskSequence;
	}
	
	public boolean emptySt() {
		return basicTaskSequence.isEmpty();
	}
	

	public double cognitiveLoad() {
		double numerator =0;
		double denominator=0;
		for(int i=0; i<basicTaskSequence.size(); i++) {
			numerator+= (basicTaskSequence.get(i).duration * basicTaskSequence.get(i).difficulty);
			denominator+= (basicTaskSequence.get(i).duration + basicTaskSequence.get(i).delay);
		}
		return (numerator/denominator);
	}

}